%define module_name AWS-XRay
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Crypt/URandom.pm) perl(IO/Scalar.pm) perl(IO/Socket/INET.pm) perl(JSON/XS.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(Types/Serialiser.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.08
Release: alt1
Summary: AWS X-Ray tracing library
Group: Development/Perl
License: perl
URL: https://github.com/fujiwara/AWS-XRay

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/F/FU/FUJIWARA/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
AWS::XRay is a tracing library with AWS X-Ray.

AWS::XRay sends segment data to AWS X-Ray Daemon.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README.md Changes
%perl_vendor_privlib/A*

%changelog
* Fri Oct 26 2018 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Sat Jul 07 2018 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Sat Jun 23 2018 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Thu Jun 21 2018 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Sun Jun 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- regenerated from template by package builder

* Fri Jun 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

